zenilib: Lib3dsNode Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
Lib3dsNode Struct Reference
API

`#include <lib3ds.h>`

## Public Attributes

struct Lib3dsNode * | childs
unsigned | flags
float | matrix [4][4]
char | name [64]
struct Lib3dsNode * | next
unsigned short | node_id
struct Lib3dsNode * | parent
Lib3dsNodeType | type
unsigned | user_id
void * | user_ptr

## Detailed Description

Definition at line 405 of file lib3ds.h.

## Member Data Documentation

struct Lib3dsNode* Lib3dsNode::childs

Definition at line 409 of file lib3ds.h.

Referenced by file_bounding_box_of_nodes_impl(), file_minmax_node_id_impl(), free_node_and_childs(), kfdata_read(), lib3ds_file_append_node(), lib3ds_file_insert_node(), lib3ds_file_remove_node(), lib3ds_node_by_id(), lib3ds_node_by_name(), lib3ds_node_eval(), nodes_write(), Zeni::Model::visit_meshes(), and Zeni::Model::visit_nodes().

unsigned Lib3dsNode::flags

Definition at line 414 of file lib3ds.h.

Referenced by lib3ds_node_read(), and lib3ds_node_write().

float Lib3dsNode::matrix[4][4]

Definition at line 415 of file lib3ds.h.

Referenced by file_bounding_box_of_nodes_impl(), lib3ds_node_eval(), and lib3ds_node_new().

char Lib3dsNode::name[64]

Definition at line 413 of file lib3ds.h.

Referenced by file_bounding_box_of_nodes_impl(), lib3ds_file_create_nodes_for_meshes(), lib3ds_file_mesh_for_node(), lib3ds_file_node_by_name(), lib3ds_node_by_name(), lib3ds_node_new(), lib3ds_node_new_camera(), lib3ds_node_new_camera_target(), lib3ds_node_new_mesh_instance(), lib3ds_node_new_omnilight(), lib3ds_node_new_spotligf_target(), lib3ds_node_new_spotlight(), lib3ds_node_read(), lib3ds_node_write(), and Zeni::Model::visit_meshes().

struct Lib3dsNode* Lib3dsNode::next

Definition at line 408 of file lib3ds.h.

Referenced by file_bounding_box_of_nodes_impl(), file_minmax_node_id_impl(), free_node_and_childs(), kfdata_read(), lib3ds_file_append_node(), lib3ds_file_bounding_box_of_nodes(), lib3ds_file_eval(), lib3ds_file_free(), lib3ds_file_insert_node(), lib3ds_file_minmax_node_id(), lib3ds_file_node_by_id(), lib3ds_file_node_by_name(), lib3ds_file_remove_node(), lib3ds_node_by_id(), lib3ds_node_by_name(), lib3ds_node_eval(), nodes_write(), Zeni::Model::visit_meshes(), and Zeni::Model::visit_nodes().

unsigned short Lib3dsNode::node_id

0..65535

Definition at line 412 of file lib3ds.h.

Referenced by file_minmax_node_id_impl(), kfdata_read(), lib3ds_file_node_by_id(), lib3ds_node_by_id(), lib3ds_node_new(), lib3ds_node_read(), and nodes_write().

struct Lib3dsNode* Lib3dsNode::parent

Definition at line 410 of file lib3ds.h.

Referenced by kfdata_read(), lib3ds_file_append_node(), lib3ds_file_insert_node(), lib3ds_file_remove_node(), and lib3ds_node_eval().

Lib3dsNodeType Lib3dsNode::type

Definition at line 411 of file lib3ds.h.

Referenced by file_bounding_box_of_nodes_impl(), free_node_and_childs(), lib3ds_file_mesh_for_node(), lib3ds_file_node_by_name(), lib3ds_node_by_name(), lib3ds_node_eval(), lib3ds_node_new(), lib3ds_node_read(), lib3ds_node_write(), nodes_write(), and Zeni::Model::visit_meshes().

unsigned Lib3dsNode::user_id

Definition at line 406 of file lib3ds.h.

Referenced by kfdata_read(), lib3ds_node_new(), and lib3ds_node_read().

void* Lib3dsNode::user_ptr

Definition at line 407 of file lib3ds.h.

Referenced by kfdata_read().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/lib3ds/src/lib3ds.h